#### 3.18.3 AMD GCN Options

These options are defined specifically for the AMD GCN port.

`-march=gpu`
`-mtune=gpu`

  Set architecture type or tuning for gpu. Supported values for gpu are

  ‘`fiji`’

    Compile for GCN3 Fiji devices (gfx803).

  ‘`gfx900`’

    Compile for GCN5 Vega 10 devices (gfx900).

`-mstack-size=bytes`

  Specify how many bytes of stack space will be requested for each GPU thread (wave-front). Beware that there may be many threads and limited memory available. The size of the stack allocation may also have an impact on run-time performance. The default is 32KB when using OpenACC or OpenMP, and 1MB otherwise.